Bug 106835 - up2date claims an obsolete package in error
up2date claims an obsolete package in error
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: up2date (Show other bugs)
2.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-11 10:20 EDT by Eric Hagberg
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-04 15:43:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Hagberg 2003-10-11 10:20:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030624
Netscape/7.1

Description of problem:
Every time I run up2date on my AS 2.1 systems, I get this warning message printed.

The following Packages are obsoleted by newer packages:

Name-Version-Release        obsoleted by      Name-Version-Release
-------------------------------------------------------------------------------
XFree86-FBDev-3.3.6-43                  XFree86-compat-modules-3.3.6-43

Both packages are installed on my system (after keeping it fully up2date since
the initial RHAS 2.1 release last May). When updating, I have the packages
pulled down and I manually run "rpm -Uvh *.rpm" against the rpms that are
downloaded, with the exception of kernel rpms, which I "rpm -ivh"... and
manually "rpm -e" the old ones when I'm sure the new kernel is working for me.

Perhaps this is really problem with the channel's definition, but I don't know
what product to log this issue against to get the channel checked, so I've
logged against up2date.

Version-Release number of selected component (if applicable):
up2date-2.8.46.3-1.2.1AS

How reproducible:
Always

Steps to Reproduce:
1. run up2date after keeping AS2.1 machine updated, as described above
2.
3.
    

Additional info:
Comment 1 Adrian Likins 2003-11-04 15:43:19 EST
should be fixed in next up2date update, up2date wasnt correctly verifying
the version info on obsoletes.


Note You need to log in before you can comment on or make changes to this bug.